package com.rehome.jpahefengweather.service;


import com.rehome.jpahefengweather.entity.NmcCity;
import com.rehome.jpahefengweather.entity.NmcProvince;

import java.util.List;

public interface NmcCityService {
    //code查询所有省份
    NmcProvince findProvinceByCode(String code);
    //根据code查询城市
    NmcCity findCityByCode(String code);
    //保存省份
    void saveProvince(NmcProvince province);
    //保存城市
    void saveCity(NmcCity city);
   //查询所有城市
    List<NmcCity> findAllCityList();
}
